Package com.google.protobuf

# Enum Class JavaType

java.lang.Object
java.lang.Enum<JavaType>
com.google.protobuf.JavaType

All Implemented Interfaces:
  `Serializable`, `Comparable<JavaType>`, `Constable`

@ExperimentalApi public enum JavaType extends Enum<JavaType>
Enum that identifies the Java types required to store protobuf fields.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
`BYTE_STRING`
`DOUBLE`
`ENUM`
`FLOAT`
`INT`
`LONG`
`MESSAGE`
`STRING`
`VOID`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getBoxedType()`
`Object`
`getDefaultDefault()`
The default default value for fields of this type, if it's a primitive type.
`Class<?>`
`getType()`
Gets the required type for a field that would hold a value of this type.
`boolean`
`isValidType(Class<?> t)`
Indicates whether or not this `JavaType` can be applied to a field of the given type.
`static JavaType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JavaType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VOID

public static final JavaType VOID

### INT

public static final JavaType INT

### LONG

public static final JavaType LONG

### FLOAT

public static final JavaType FLOAT

### DOUBLE

public static final JavaType DOUBLE

### BOOLEAN

public static final JavaType BOOLEAN

### STRING

public static final JavaType STRING

### BYTE_STRING

public static final JavaType BYTE_STRING

### ENUM

public static final JavaType ENUM

### MESSAGE

public static final JavaType MESSAGE

## Method Details

### values

public static JavaType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JavaType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDefaultDefault

public Object getDefaultDefault()
The default default value for fields of this type, if it's a primitive type.

### getType

public Class<?> getType()
Gets the required type for a field that would hold a value of this type.

### getBoxedType

public Class<?> getBoxedType()

Returns:
  the boxedType

### isValidType

public boolean isValidType(Class<?> t)
Indicates whether or not this `JavaType` can be applied to a field of the given type.